> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/bug-reporting/disclaimer-text.md).

# Disclaimer Text

With the following API, you can add a disclaimer text with hyperlinked text within the bug reporting form, in case you'd like to redirect users to a different page in the event that they click on a specific text. *Example: if you'd like to hyperlink your privacy policy.*

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
BugReporting.setDisclaimerText("Luciq can help developers produce more quality code. [Learn more](https://www.luciq.ai) and [more](http://string-functions.com/length.aspx).")
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
[LCQBugReporting setDisclaimerText:@"Luciq can help developers produce more quality code. [Learn more](https://www.luciq.ai) and [more](http://string-functions.com/length.aspx)."];
```

{% endtab %}

{% tab title="And - Java" %}

```java
BugReporting.setDisclaimerText("Luciq can help developers produce more quality code. [Learn more](https://www.luciq.ai) and [more](http://string-functions.com/length.aspx).");
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
BugReporting.setDisclaimerText("Luciq can help developers produce more quality code. [Learn more](https://www.luciq.ai) and [more](http://string-functions.com/length.aspx).")
```

{% endtab %}

{% tab title="RN" %}

```javascript
BugReporting.setDisclaimerText("Luciq can help developers produce more quality code. [Learn more](https://www.luciq.ai)");
```

{% endtab %}

{% tab title="Flutter" %}

```dart
BugReporting.setDisclaimerText("Luciq can help developers produce more quality code. [Learn more](https://www.luciq.ai) and [more](http://string-functions.com/length.aspx).");
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/references/bug-reporting/disclaimer-text.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
